Yandex Cloud
Поиск
Связаться с экспертомПопробовать бесплатно
  • Кейсы
  • Документация
  • Блог
  • Все сервисы
    • Cloud Interconnect
    • Cloud Backup
    • Compute Cloud
    • Object Storage
    • Managed Service for Kubernetes®
    • Managed Service for PostgreSQL
    • Managed Service for ClickHouse®
    • Monium
    • Cloud CDN
    • Network Load Balancer
    • Virtual Private Cloud
    • Cloud DNS
    • Application Load Balancer
    • Yandex Cloud Router
    • Managed Service for MySQL®
    • Managed Service for Valkey™
    • Managed Service for Apache Spark™
    • Managed Service for OpenSearch
    • Managed Service for Apache Kafka®
    • Data Transfer
    • Yandex MPP Analytics Engine for PostgreSQL
    • Managed Service for YDB
    • SpeechKit
    • Yandex Identity Hub
    • Key Management Service
    • Certificate Manager
    • Yandex Lockbox
    • Audit Trails
    • Container Registry
    • Managed Service for Prometheus®
    • Message Queue
    • Identity and Access Management
    • Yandex Cloud Console
    • Resource Manager
    • Yandex Cloud Billing
    • Cloud Apps
    • Yandex AI Studio
    • Yandex BareMetal
    • Smart Web Security
    • Security Deck
    • Yandex Cloud Video
    • Stackland
    • Yandex StoreDoc
    • Yandex Managed Service for Apache Airflow®
    • Data Processing
    • Yandex MetaData Hub
    • Yandex WebSQL
    • DataLens
    • Yandex Search API
    • SpeechSense
    • DataSphere
    • Vision OCR
    • Translate
    • Cloud Registry
    • SmartCaptcha
    • Cloud Desktop
    • Yandex SIEM
    • SourceCraft Code Assistant
    • Managed Service for GitLab
    • Cloud Functions
    • API Gateway
    • Yandex Cloud Postbox
    • Serverless Integrations
    • IoT Core
    • Serverless Containers
    • Cloud Notification Service
    • Yandex Query
  • Статус работы сервисов
  • Marketplace
    • Доступны в регионе
    • Инфраструктура и сеть
    • Платформа данных
    • Искусственный интеллект
    • Безопасность
    • Инструменты DevOps
    • Бессерверные вычисления
    • Управление ресурсами
  • Все решения
    • По отраслям
    • По типу задач
    • Экономика платформы
    • Безопасность
    • Техническая поддержка
    • Каталог партнёров
    • Обучение и сертификация
    • Облако для стартапов
    • Облако для крупного бизнеса
    • Центр технологий для общества
    • Партнёрская программа
    • Поддержка IT-бизнеса
    • Облако для фрилансеров
    • Обучение и сертификация
    • Блог
    • Документация
    • Мероприятия и вебинары
    • Контакты, чаты и сообщества
    • Идеи
    • Калькулятор цен
    • Тарифы
    • Акции и free tier
  • Кейсы
  • Документация
  • Блог
Создавайте контент и получайте гранты!Готовы написать своё руководство? Участвуйте в контент-программе и получайте гранты на работу с облачными сервисами!
Подробнее о программе
Проект Яндекса
© 2026 ТОО «Облачные Сервисы Казахстан»
Yandex Identity Hub
KZ
  • Управление доступом
  • Правила тарификации
  • Справочник Terraform
    • Аутентификация
      • Overview
        • Overview
          • Overview
          • Get
          • List
          • Create
          • Update
          • Delete
          • ListOperations
  • Аудитные логи Audit Trails
  • История изменений
  • История изменений Yandex Identity Hub Sync Agent
  • Обучающие курсы

В этой статье:

  • gRPC request
  • ListCertificatesRequest
  • ListCertificatesResponse
  • Certificate
  1. Справочник API
  2. gRPC (англ.)
  3. SAML Federation API
  4. Certificate
  5. List

SAML Federation API, gRPC: CertificateService.List

Статья создана
Yandex Cloud
Обновлена 28 января 2026 г.
Открыть в Markdown
  • gRPC request
  • ListCertificatesRequest
  • ListCertificatesResponse
  • Certificate

Retrieves the list of certificates in the specified federation.

gRPC requestgRPC request

rpc List (ListCertificatesRequest) returns (ListCertificatesResponse)

ListCertificatesRequestListCertificatesRequest

{
  "federation_id": "string",
  "page_size": "int64",
  "page_token": "string",
  "filter": "string"
}

Field

Description

federation_id

string

Required field. ID of the federation to list certificates in.
To get the federation ID make a yandex.cloud.organizationmanager.v1.saml.FederationService.List request.

The maximum string length in characters is 50.

page_size

int64

The maximum number of results per page to return. If the number of available
results is larger than page_size, the service returns a ListCertificatesResponse.next_page_token
that can be used to get the next page of results in subsequent list requests.
Default value: 100.

Acceptable values are 0 to 1000, inclusive.

page_token

string

Page token. To get the next page of results, set page_token
to the ListCertificatesResponse.next_page_token
returned by a previous list request.

The maximum string length in characters is 2000.

filter

string

A filter expression that filters resources listed in the response.
The expression must specify:

  1. The field name. Currently you can use filtering only on Certificate.name field.
  2. An = operator.
  3. The value in double quotes ("). Must be 3-63 characters long and match the regular expression [a-z][-a-z0-9]{1,61}[a-z0-9].

The maximum string length in characters is 1000.

ListCertificatesResponseListCertificatesResponse

{
  "certificates": [
    {
      "id": "string",
      "federation_id": "string",
      "name": "string",
      "description": "string",
      "created_at": "google.protobuf.Timestamp",
      "data": "string"
    }
  ],
  "next_page_token": "string"
}

Field

Description

certificates[]

Certificate

List of certificates.

next_page_token

string

This token allows you to get the next page of results for list requests. If the number of results
is larger than ListCertificatesRequest.page_size, use
the next_page_token as the value
for the ListCertificatesRequest.page_token query parameter
in the next list request. Each subsequent list request will have its own
next_page_token to continue paging through the results.

CertificateCertificate

A certificate.

Field

Description

id

string

Required field. ID of the certificate.

The maximum string length in characters is 50.

federation_id

string

Required field. ID of the federation that the certificate belongs to.

The maximum string length in characters is 50.

name

string

Name of the certificate.

Value must match the regular expression |[a-z][-a-z0-9]{1,61}[a-z0-9].

description

string

Description of the certificate.

The maximum string length in characters is 256.

created_at

google.protobuf.Timestamp

Creation timestamp.

data

string

Required field. Certificate data in PEM format.

The maximum string length in characters is 32000.

Была ли статья полезна?

Предыдущая
Get
Следующая
Create
Создавайте контент и получайте гранты!Готовы написать своё руководство? Участвуйте в контент-программе и получайте гранты на работу с облачными сервисами!
Подробнее о программе
Проект Яндекса
© 2026 ТОО «Облачные Сервисы Казахстан»